DCMTK - Feature #1053

Add support for --color option to dcmdump and dsrdump on Windows systems

2022-12-19 14:03 - J6rg Riesmeier

Status: Closed

Priority: Normal
Assignee: Jorg Riesmeier
Category: Application
Target version: 3.6.8

Module: dcmdata, decmsr

Operating System: Windows

Start date: 2022-12-19
Due date:

% Done: 100%
Estimated time: 1:00 hour
Compiler:

Description

Both, Microsoft's Terminal and PowerShell support ANSI escape sequences for specifying the text color on a console, so the --color

(+C) option of dcmdump and dsrdump should also be enabled on Windows systems.
Documentation of these tools should be updated to explain that the --color option might also be supported on newer Windows
systems (depending on the command shell that is used, e.g. CMD.EXE still does not work).

History

#1 - 2022-12-19 14:03 - J6rg Riesmeier

- Description updated

#2 - 2023-01-10 17:41 - J6rg Riesmeier

- Target version changed from 3.6.8 to 3.7.1+

#3 - 2023-01-16 15:42 - J6rg Riesmeier

- Target version changed from 3.7.1+ to 3.6.8

#4 - 2023-01-27 18:50 - Jorg Riesmeier
- Status changed from New to Closed

- % Done changed from 0 to 100

- Estimated time set to 1:00 h

Closed with commit 47aee28e8.

2025-09-06

1/1



http://www.tcpdf.org

